#!/bin/sh -ex

#set aliyun source
#sed -i 's/dl-cdn.alpinelinux.org/mirrors.cloud.tencent.com/g' /etc/apk/repositories
sed -i 's/dl-cdn.alpinelinux.org/mirrors.tuna.tsinghua.edu.cn/g' /etc/apk/repositories

#copy from maven official
apk add --update ca-certificates && rm -rf /var/cache/apk/* &&
  find /usr/share/ca-certificates/mozilla/ -name "*.crt" -exec keytool -import -trustcacerts \
    -keystore /usr/lib/jvm/java-1.8-openjdk/jre/lib/security/cacerts -storepass changeit -noprompt \
    -file {} -alias {} \; &&
  keytool -list -keystore /usr/lib/jvm/java-1.8-openjdk/jre/lib/security/cacerts --storepass changeit

MAVEN_VERSION=3.5.4
MAVEN_HOME=/usr/lib/mvn
export PATH=$MAVEN_HOME/bin:$PATH

wget http://archive.apache.org/dist/maven/maven-3/$MAVEN_VERSION/binaries/apache-maven-$MAVEN_VERSION-bin.tar.gz &&
  tar -zxvf apache-maven-$MAVEN_VERSION-bin.tar.gz &&
  rm apache-maven-$MAVEN_VERSION-bin.tar.gz &&
  mv apache-maven-$MAVEN_VERSION /usr/lib/mvn

#set easou private repository
mv /usr/lib/mvn/conf/settings.xml /usr/lib/mvn/conf/settings.xml.bak
mv /container/settings.xml /usr/lib/mvn/conf/

#install svn
apk add --update subversion

#other
apk add --update bash python3 py-yaml openssl curl net-tools iproute2 bash-completion bash-doc tzdata

#install make env
apk add --update alpine-sdk

apk add --update supervisor

cp "/usr/share/zoneinfo/Asia/Shanghai" /etc/localtime
echo "Asia/Shanghai" >/etc/timezone

#添加改系统时间的库 https://github.com/wolfcw/libfaketime
git clone https://github.com/wolfcw/libfaketime.git src
cd src
make install
touch ~/.faketimerc
#LD_PRELOAD=/usr/local/lib/faketime/libfaketime.so.1 FAKETIME="-15d" date

rm -rf /var/cache/apk/*
rm -rf /tmp/* /var/tmp/*

